import { ChangeDetectorRef } from '@angular/core';
import { INgxBindIOConfig } from '../interfaces/ngx-bind-io-config.interface';
import { NgxBindInputsService } from './ngx-bind-inputs.service';
import { NgxBindIODebugService } from './ngx-bind-io-debug.service';
import { NgxBindOutputsService } from './ngx-bind-outputs.service';
export declare class NgxBindIoService {
    private _ngxBindIOConfig;
    private _ngxBindInputsService;
    private _ngxBindOutputsService;
    private _ngxBindIODebugService;
    constructor(_ngxBindIOConfig: INgxBindIOConfig, _ngxBindInputsService: NgxBindInputsService, _ngxBindOutputsService: NgxBindOutputsService, _ngxBindIODebugService: NgxBindIODebugService);
    linkHostToInner(hostComponent: any, innerComponent: any, inputs?: {
        [key: string]: any;
    }, changeDetectorRef?: ChangeDetectorRef, config?: INgxBindIOConfig): void;
}
